{ config, lib, pkgs, pkgs-unstable, pkgs-4a3fc4cf7, ... }:

{
  services = {
    transmission = {
      enable = true;
      package = pkgs-4a3fc4cf7.transmission_4;
      home = "/var/lib/transmission";
      group = "medias";
      settings = {
        rpc-bind-address = "127.0.0.1";
        rpc-port = 9091;
        rpc-host-whitelist = "*";
        rpc-whitelist-enabled = false;
        peer-port = 51413;
        incomplete-dir = "/mnt/medias/incomplete";
        download-dir = "/mnt/medias/torrent";
      };
    };

    radarr = {
      enable = true;
      package = pkgs-unstable.radarr;
    };
    sonarr = {
      enable = true;
      package = pkgs-unstable.sonarr;
    };
    flaresolverr = {
      enable = false;
      package = pkgs-unstable.flaresolverr;
    };
    prowlarr = {
      enable = true;
      package = pkgs-unstable.prowlarr;
    };

    jellyfin = {
      enable = true;
      package = pkgs-unstable.jellyfin;
    };

    navidrome = {
      enable = true;
      settings = {
        MusicFolder = "/mnt/medias/musique";
        ImageCacheSize = 0;
      };
    };

    slimserver.enable = true;
  };

  systemd.services.transmission.serviceConfig = {
    BindPaths = [ "/mnt/medias" ];
    LimitNOFILE = 1048576;
  };

  networking = {
    firewall.allowedTCPPorts = [
      config.services.transmission.settings.peer-port
    ];

    firewall.allowedUDPPorts = [
      config.services.transmission.settings.peer-port
    ];
  };
}
